RZ(1)

NAME
rz - receive a file using the zmodem protocol

SYNOPSIS
rz [-abepqvy] [-t timeout]

OPTIONS

EXAMPLES

DESCRIPTION

The XMODEM, YMODEM, and ZMODEM family of file transfer programs are widely used on personal computers. MINIX 3 supports ZMODEM, the most advanced of the set. The programs sz and rz are used for sending and receiving, respectively.

Rz and sz are programs that uses an error correcting protocol to transfer files over a dial-in serial port from a variety of programs running under various operating systems. Rz (Receive ZMODEM) receives files with the ZMODEM batch protocol. Pathnames are supplied by the sending program, and directories are made if necessary (and possible). The meanings of the available options are:
-a
Convert files to UNIX conventions by stripping carriage returns and all characters beginning with the first Control Z (CP/M end of file).
-b
Binary (tell it like it is) file transfer override.
-c
Request 16 bit CRC. XMODEM file transfers default to 8 bit checksum. YMODEM and ZMODEM normally use 16 bit CRC.
-D
Output file data to /dev/null; for testing.
-e
Force sender to escape all control characters; normally XON, XOFF, DLE, CR-@-CR, and Ctrl-X are escaped.
-p
Protect: skip file if destination file exists.
-q
Quiet suppresses verbosity.
-t
Change timeout tenths of seconds (timeout follows flag).
-v
Verbose causes a list of file names to be appended to /tmp/rzlog. More v's generate more output.
-y
Yes, clobber any existing files with the same name.

SEE ALSO
sz(1), term(1).